# PdfRenderingOptions class

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true, createFactory: false)

## Constructors

PdfRenderingOptions({PageSize pageSize = PageSize.CUSTOM, PageDirection pageDirection = PageDirection.AUTO, PageFitMode pageFitMode = PageFitMode.FIT_IN, int dpi = 72, int jpegQuality = 80, bool resample = true, PdfAttributes pdfAttributes = const PdfAttributes(creator: "", author: "", title: "", subject: "", keywords: "")})
  const

## Properties

dpi → int
  final
hashCode → int
  The hash code for this object.
  no setter inherited
jpegQuality → int
  final
pageDirection → PageDirection
  The direction of the page in the PDF document.
  final
pageFitMode → PageFitMode
  final
pageSize → PageSize
  The size of the page in the PDF document.
  final
pdfAttributes → PdfAttributes
  The PDF document attributes.
  final
resample → bool
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited